Skip to main content
`Ctrl`+`K`

# Conf

class astropy.logger.Conf

  Bases: `ConfigNamespace`

  Configuration parameters for `astropy.logger`.

  Attributes Summary

  `log_exceptions` | Whether to log exceptions before raising them.
  `log_file_encoding` | The encoding (e.g., UTF-8) to use for the log file.
  `log_file_format` | Format for log file entries.
  `log_file_level` | Threshold for logging messages to `log_file_path`.
  `log_file_path` | The file to log messages to.
  `log_level` | Threshold for the logging messages.
  `log_to_file` | Whether to always log messages to a log file.
  `log_warnings` | Whether to log `warnings.warn` calls.

  Attributes Documentation

  log_exceptions

    Whether to log exceptions before raising them.

  log_file_encoding

    The encoding (e.g., UTF-8) to use for the log file. If empty string is given, it defaults to the platform-preferred encoding.

  log_file_format

    Format for log file entries.

  log_file_level

    Threshold for logging messages to `log_file_path`.

  log_file_path

    The file to log messages to. If empty string is given, it defaults to a file `'astropy.log'` in the astropy config directory.

  log_level

    Threshold for the logging messages. Logging messages that are less severe than this level will be ignored. The levels are `'DEBUG'`, `'INFO'`, `'WARNING'`, `'ERROR'`.

  log_to_file

    Whether to always log messages to a log file.

  log_warnings

    Whether to log `warnings.warn` calls.